import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class PoolTogetherV3ContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    poolTogetherMerkleDistributor({ address, network }: ContractOpts): import("./ethers").PoolTogetherMerkleDistributor;
    poolTogetherV3CommunityPrizePool({ address, network }: ContractOpts): import("./ethers").PoolTogetherV3CommunityPrizePool;
    poolTogetherV3MultiTokenListener({ address, network }: ContractOpts): import("./ethers").PoolTogetherV3MultiTokenListener;
    poolTogetherV3MultipleWinners({ address, network }: ContractOpts): import("./ethers").PoolTogetherV3MultipleWinners;
    poolTogetherV3MultipleWinnersPrizeStrategy({ address, network }: ContractOpts): import("./ethers").PoolTogetherV3MultipleWinnersPrizeStrategy;
    poolTogetherV3Pod({ address, network }: ContractOpts): import("./ethers").PoolTogetherV3Pod;
    poolTogetherV3PodRegistry({ address, network }: ContractOpts): import("./ethers").PoolTogetherV3PodRegistry;
    poolTogetherV3PoolWithMultipleWinnersBuilder({ address, network }: ContractOpts): import("./ethers").PoolTogetherV3PoolWithMultipleWinnersBuilder;
    poolTogetherV3PrizePool({ address, network }: ContractOpts): import("./ethers").PoolTogetherV3PrizePool;
    poolTogetherV3Ticket({ address, network }: ContractOpts): import("./ethers").PoolTogetherV3Ticket;
    poolTogetherV3TokenFaucet({ address, network }: ContractOpts): import("./ethers").PoolTogetherV3TokenFaucet;
}
export type { PoolTogetherMerkleDistributor } from './ethers';
export type { PoolTogetherV3CommunityPrizePool } from './ethers';
export type { PoolTogetherV3MultiTokenListener } from './ethers';
export type { PoolTogetherV3MultipleWinners } from './ethers';
export type { PoolTogetherV3MultipleWinnersPrizeStrategy } from './ethers';
export type { PoolTogetherV3Pod } from './ethers';
export type { PoolTogetherV3PodRegistry } from './ethers';
export type { PoolTogetherV3PoolWithMultipleWinnersBuilder } from './ethers';
export type { PoolTogetherV3PrizePool } from './ethers';
export type { PoolTogetherV3Ticket } from './ethers';
export type { PoolTogetherV3TokenFaucet } from './ethers';
